﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Http;
using System.Web.Mvc;
using System.Web.Routing;

namespace LordJS
{
    public class RouteConfig
    {
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            routes.MapHttpRoute(
                name: "DefaultApi",
                routeTemplate: "api/{controller}/{id}",
                defaults: new { id = RouteParameter.Optional }
            );

            routes.MapRoute(
                name: "Default",
                url: "{controller}/{action}/{id}",
                defaults: new { controller = "Home", action = "Index", id = UrlParameter.Optional }
            );

            routes.MapRoute(
                name: "Catalog",
                url: "{controller}/{action}/{category}/{module}",
                defaults: new { controller = "Catalog", action = "GoTo", category = "", module="" }
            );

            routes.MapRoute(
                name: "Page",
                url: "{controller}/{action}/{category}/{module}/{page}",
                defaults: new { controller = "Page", action = "GoTo", category = "", module = "", page = "" }
            );
        }
    }
}